Subject: configure does not thoroughly test for ImageMagick includes
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 01 Feb 2011 15:38:37 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.0.50
Severity: minor

I tried to build the current trunk on a RHEL 4.8 system.
This has ImageMagick 6.0.7 installed.
configure decided that ImageMagick was usable:

  checking for Wand... yes
  checking IMAGEMAGICK_CFLAGS...  
  checking IMAGEMAGICK_LIBS... -lWand -lMagick  
  checking for MagickExportImagePixels... no
  [...]
  Does Emacs use imagemagick?                             yes

However, the build failed because of this:

  image.c:7455:29: warning: wand/MagickWand.h: No such file or directory

The system has /usr/include/wand/magick_wand.h, but it does not
have /usr/include/wand/MagickWand.h. Looks like the former is now
deprecated. The latter does exist on RHEL 5.5, with ImageMagick 6.2.8.

Obviously I can just re-configure using --without-imagemagick, but
Emacs should do this for me. Either configure should test for some
required minimum version of ImageMagick (I was not able to find out in
what version wand/MagickWand.h was added); or image.c should fall back
to wand/magick_wand.h if it can.